Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class PogoInterceptableSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PogoInterceptableSite

    class PogoInterceptableSite
    extends AbstractCallSite

Call site for GroovyInterceptable

author:
  Alex Tkachman

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PogoInterceptableSite(CallSite site)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PogoInterceptableSite

    public PogoInterceptableSite(CallSite site)

Method Detail

### call

    public final Object call(Object receiver, Object[] args)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object[] args)

### invoke

    public final Object invoke(Object receiver, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.